## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBitArray::BitProxy Class Reference

List of all members.

## Public Member Functions

| BitProxy (csBitArray &array, size_t pos)
| Constructor.
bool | Flip ()
| Flip state of this bit.
| operator bool () const
| Boolean accessor.
BitProxy & | operator= (const BitProxy &that)
| Proxy assignment.
BitProxy & | operator= (bool value)
| Boolean assignment.

## Detailed Description

Definition at line 105 of file bitarray.h.

## Constructor & Destructor Documentation

csBitArray::BitProxy::BitProxy | ( | csBitArray & | array,
|  | size_t | pos
| ) | `[inline]`

| Constructor. Definition at line 112 of file bitarray.h.

## Member Function Documentation

bool csBitArray::BitProxy::Flip | ( |  | ) | `[inline]`

Flip state of this bit.

Returns:
  New state of bit.

Definition at line 139 of file bitarray.h.

csBitArray::BitProxy::operator bool | ( |  | ) | const`[inline]`

| Boolean accessor. Definition at line 130 of file bitarray.h.

BitProxy& csBitArray::BitProxy::operator= | ( | const BitProxy & | that | ) | `[inline]`

| Proxy assignment. Definition at line 123 of file bitarray.h. References csBitArray::IsBitSet(), mArray, and mPos.

BitProxy& csBitArray::BitProxy::operator= | ( | bool | value | ) | `[inline]`

| Boolean assignment. Definition at line 116 of file bitarray.h.

The documentation for this class was generated from the following file:

- csutil/bitarray.h